2021-12-04 - Sorry the Gramps wiki is currently being upgraded to a newer software version. Please check back after the 2021-12-06.

Windows installer/lt

From Gramps
Revision as of 15:49, 23 March 2009 by Embar (talk | contribs)
Jump to: navigation, search

Įvadas

GRAMPS kuriama naudojantis Python ir GTK daugiaplatformėmis programavimo priemonėmis. Kai kurie savanoriai sukūrė Windows diegyklę, kuri, kiek žinoma, dirba be akivaizdžių problemų. Tačiau šiuo metu nėra GRAPMS kūrėjų, įsipareigojusių dirbti su OS Windows platforma.

Kadangi programinė įranga nėra oficialiai išbandyta ir gauta mažai atsiliepimų apie ją, siūlome:

  • Dirbkite su savo pagrindinių duomenų kopija ir nuolatos darykite atsargines kopijas GRAMPS XML formatu.
  • Prisijunkite prie GRAMPS Windows mailing list norėdamas pasidalinti savo patirtimi, ypač jei esate programuotojas.
  • Taip pat žiūrėkite GRAMPS ir OS „MS Windows“ patarimus dirbant su GRAMPS operacinėje sistemoje „MS Windows“

Diegimas

  1. Uždarykite visas GTK pagrindu sukurtas (angl. gtk-based) taikomąsias programas, pvz. GIMP ar Pidgin. Žiūrėkite pastabą žemiau.
  2. Įdiekite paketus norodyta tvarka:
    1. Python 2.5.1 => python-2.5.1.msi (10.7 MB, iš python.org)
    2. GTK+ 2.10.11 => gtk-dev-2.10.11-win32-1.exe (11.9 MB, iš gladewin32, siūlantį glade)
    3. pygtk 2.10.6 => pygtk-2.10.6-1.win32-py2.5.exe (1.8 MB, iš www.acc.umu.se)
    4. pygobject 2.12.3 => pygobject-2.12.3-1.win32-py2.5.exe (163 KB, iš www.gnome.org)
    5. pycairo 1.2.6 => pycairo-1.2.6-1.win32-py2.5.exe (82 KB, iš www.acc.umu.se)
  3. Prieš įdiegiant GRAMPS, patariama kompiuterį paleisti iš naujo.
  4. Diegiama GRAMPS modifikacija Windows operacinei sistemai. Naujausia siūloma versija:
    1. gramps-3.1.1-1.exe -- (4.2 MB) GRAMPS diegyklė Windows sistemai, išversta į 20 kalbų (taip pat ir į lietuvių; kaip pasirinkti kalbą skaitykite čia).

Dažniausios klaidos

Nerandamas pygtk

Tai (pygtk is missing) dažniausiai pasirodanti klaida, pasirodanti tuomet, kai nėra įdiegti visi reikiami paketai, arba jie įdiegti neteisingai. Įsitikinkite, kad visi pakeitai buvo įdiegti teisingai, paleiskite kompiuterį iš naujo prieš įdiegdami GRAMPS. Dažnai pastebime, kad naudotojai bando patenkinti nurodytus reikalavimus naudodami kitus paketus (pvz., glade), kurie ir sukelia klaidą.

Išimtinais atvejais, diegyklė meta klaidą, kad pygtk nėra įdiegtas netgi tada, kai viskas atlikta teisingai. Tuomet paprastai pakanka atšaukti diegimą ir diegyklę paleisti iš naujo. (Galbūt kas nors žinote kodėl? Prašytume parašyti į gramps-windows email list.)

GTK+ diegimo klaida

If you already have GTK+ installed, perhaps because you have installed The GIMP, Pidgin, or Gnu Cash, the GTK+ installer will not be able to write to some files if one of those applications is running. If you see errors with the GTK+ installer, select Cancel, shut down the other GTK+ applications and run the installer again. (This issue has been reported as GTK+ Installer doesn't handle locked files well to the kind people who make the GTK+ installer for windows.)

Papildomi priedai

There are some features of Gramps that need additional programs to work. There are several different kinds of reports, and the following features need extra configuration to work on Windows.

  • The Relationship Graph reports (both graphical report and code generator) need an installation of Graphviz. There is a bug in the current stable release, see this example.
  • The Relationship Graph can not use PDF as output format unless there is an installation of ghostscript. After installation, if gsview32.exe or gsview32c.exe is in the path, PDF should appear as one of the formats in the graphical Relationship Graph report.

Apribojimai

At this time, there is no intent to package all the dependencies and the GRAMPS package into one installer. This creates a very complex coordination condition between GRAMPS and these other projects. It also means a single 30+ MB download every version change.

There have been discussions about trying to install compiled distillations (dynamic link libraries) of these core dependencies to avoid having to install the entire Python and GTK environment, but this work never progressed beyond discussion. For more about this and other Windows issues, see the email list archive.

Taip pat žiūrėkite